# -*- coding: utf-8 -*-
"""
Created on Sat Jun 17 18:48:18 2023

@author: RedBull
"""
import os

os.chdir(os.path.dirname(__file__))

#Get mods
file = open('modlist.txt',mode='r')
mods = file.read()
file.close()

#shell_cmd = "screen -S arma3headless /home/steam/arma3/arma3server -L -Logfile Log_HC -client -connect=127.0.0.1 -port=2302 -password='FBM'" + mods
#shell_cmd = "screen -S arma3headless /home/steam/arma3/arma3server -L -Logfile Log_HC -client -connect=127.0.0.1 -port=2302 -password='FBM' -mod='@893328083;@1135534951;@893346105;@1135539579;@1135541175;@893349825;@1515851169;@1135543967;@893339590;@1515845502;@1673456286;@623475643;@463939057;@1374639840;@751965892;@1737598604;@820924072;@743968516;@2095827925;@2095882226;@450814997;@583496184;@583544987;@1533097069;@1675485070;@1638341685;@333310405;@2034363662;@1910457930;@2917444360;@1354112941;@1224892496;@2512354033;@1291778160;@753946944;@2834576684;@520618345;@421620913;@1858075458;@1858070328;@2521192995;@1808238502;@1862208264;@2849968002;@909547724;@2814015609;@843425103;@843593391;@843632231;@843577117;@1661066023;@1527410521;@1850026051;@2947655994;@2110586494;@1926513010;@2959407186;@1779063631;@2018593688;'"
shell_cmd = "screen -S arma3headless /home/steam/arma3/arma3server -L -Logfile Log_HC -client -connect=127.0.0.1 -port=2302 -password='FBM' -mod='@893328083;@1135534951;@893346105;@1135539579;@1135541175;@893349825;@1515851169;@1135543967;@893339590;@1515845502;@1673456286;@623475643;@463939057;@1374639840;@3055118909;@751965892;@3110642448;@1537973181;@1737598604;@820924072;@2095827925;@2095882226;@450814997;@583496184;@583544987;@2822758266;@1533097069;@1675485070;@1638341685;@333310405;@2034363662;@1910457930;@2917444360;@1354112941;@1224892496;@2512354033;@1291778160;@753946944;@2834576684;@3091577783;@520618345;@3043043427;@1726494027;@3078351739;@1858075458;@1858070328;@2521192995;@1808238502;@1862208264;@2849968002;@3013515917;@909547724;@2814015609;@2801060088;@3124577511;@2651501380;@2404131877;@2404140256;@2402988131;@843425103;@843593391;@843632231;@843577117;@1661066023;@1527410521;@1850026051;@2947655994;@2110586494;@1926513010;@2959407186;@1779063631;@2018593688;'"

os.system("cd /home/steam/arma3/")
os.system(shell_cmd)
#os.system("tail -f nohup.out")

#